The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Can not upgrade or downgrade PHP

Discussion in 'General Discussion' started by jdan6@2003, Jun 9, 2007.

  1. jdan6@2003

    jdan6@2003 Active Member

    Joined:
    May 18, 2003
    Messages:
    32
    Likes Received:
    0
    Trophy Points:
    6
    Hello,

    I am running WHM 10.8.0 cPanel 10.9.0-S13517. My PHP version is 5.0.5. I was trying to upgrade PHP. However, I can not either upgrade or downgrade PHP. It always stays in 5.0.5 although I have checked other versions under "Apache Update".

    Could someone please explain it and offer a solution to fix it?

    Thanks.
     
  2. brendanrtg

    brendanrtg Well-Known Member

    Joined:
    Oct 4, 2006
    Messages:
    311
    Likes Received:
    0
    Trophy Points:
    16
    Did you recompile Apache with the php modules checked? We used to have that problem and when we compile it under Apache with that module and version, it worked.
     
  3. jdan6@2003

    jdan6@2003 Active Member

    Joined:
    May 18, 2003
    Messages:
    32
    Likes Received:
    0
    Trophy Points:
    6
    Yes. That was what I did several times. I went to "Apache Update", then checked the "PHP Module" and checked the version "5.2.3" and re-compiled it. However, the PHP was not actually upgraded.

    I tried other lower versions 5.x.x even tried 4.x.x. None had taken effect. It is alway staying at "5.0.5".
     
    #3 jdan6@2003, Jun 9, 2007
    Last edited: Jun 9, 2007
Loading...

Share This Page